function fig = KNN()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load KNN

h0 = figure('Units','points', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'Name','Non-Parametric Classification', ...
	'PaperPosition',[18 180 576.0000000000001 432.0000000000002], ...
	'PaperUnits','points', ...
	'PointerShapeCData',mat1, ...
	'Position',[326.25 47.25 294.75 387.75], ...
	'Tag','Fig2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[76.34482758620692 346.9655172413794 147.7241379310345 32.27586206896552], ...
	'String','Non-Parametric Classification', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[75.72413793103451 322.1379310344829 155.1724137931035 19.86206896551725], ...
	'String','K - Nearest Neighbor', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','calcKnnDistImg', ...
	'ListboxTop',0, ...
	'Position',[65.17241379310346 283.6551724137931 125.3793103448276 29.17241379310346], ...
	'String','Calculate Distances for Image', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[23.58620689655173 289.2413793103449 22.96551724137932 16.75862068965517], ...
	'String','1)', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',mat2, ...
	'String','2)', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',mat3, ...
	'String','Select number of neighbors :', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',mat4, ...
	'String','K = ', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',mat5, ...
	'String','1', ...
	'Style','edit', ...
	'Tag','kvalue');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[22.96551724137932 94.34482758620692 22.96551724137932 18.62068965517242], ...
	'String','3)', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','knnClassTe', ...
	'ListboxTop',0, ...
	'Position',[64.55172413793105 91.24137931034484 99.93103448275865 27.93103448275863], ...
	'String','Classify Testing Samples', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','knnClassImg', ...
	'ListboxTop',0, ...
	'Position',[64.55172413793105 42.20689655172415 84.4137931034483 27.31034482758621], ...
	'String','Classify Image', ...
	'Tag','Pushbutton4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','calcKnnDistTr', ...
	'ListboxTop',0, ...
	'Position',[65.17241379310346 208.5517241379311 125.3793103448276 29.79310344827587], ...
	'String','Calculate Distances for Training', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','calcKnnDistTe', ...
	'ListboxTop',0, ...
	'Position',mat6, ...
	'String','Calculate Distances for Testing', ...
	'Tag','Pushbutton5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[22.3448275862069 37.24137931034483 24.20689655172414 22.96551724137932], ...
	'String','4)', ...
	'Style','text', ...
	'Tag','StaticText8');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','knnClassTr', ...
	'ListboxTop',0, ...
	'Position',[173.1724137931035 91.86206896551727 101.7931034482759 27.31034482758621], ...
	'String','Classify Training Samples', ...
	'Tag','Pushbutton6');
if nargout > 0, fig = h0; end
