function fig = MAIN()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load MAIN

h0 = figure('Units','points', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'Name','Supervised Classification Toolbox', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'PointerShapeCData',mat1, ...
	'Position',[30 48.75 644.25 417], ...
	'Tag','Fig2');
h1 = uimenu('Parent',h0, ...
	'Label','Load Image', ...
	'Tag','uimenu1');
h2 = uimenu('Parent',h1, ...
	'Callback','load_mat_image', ...
	'Label','Matlab Format', ...
	'Tag','Load Imageuimenu1');
h2 = uimenu('Parent',h1, ...
	'Callback','load_rs_image', ...
	'Label','Remote Sensing Format', ...
	'Tag','Load Imageuimenu2');
h2 = uimenu('Parent',h1, ...
	'Callback','load_tif_image', ...
	'Label','TIFF Format', ...
	'Tag','Load Imageuimenu3');
h2 = uimenu('Parent',h1, ...
	'Callback','LOAD_IPLAB', ...
	'Label','IPLab Files', ...
	'Tag','Load Imageuimenu4', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'Label','Dimension Reduction', ...
	'Tag','uimenu2');
h2 = uimenu('Parent',h1, ...
	'Callback','selected_bands', ...
	'Label','Selected Bands', ...
	'Tag','Dimension Reductionuimenu1');
h2 = uimenu('Parent',h1, ...
	'Callback','pca_reduction', ...
	'Label','Principal Components', ...
	'Tag','Dimension Reductionuimenu3');
h1 = uimenu('Parent',h0, ...
	'Label','Classify', ...
	'Tag','uimenu3');
h2 = uimenu('Parent',h1, ...
	'Callback','CLASSIFY', ...
	'Label','Parametric Classification', ...
	'Tag','Classifyuimenu1');
h2 = uimenu('Parent',h1, ...
	'Label','Non-Parametric Classification', ...
	'Tag','Classifyuimenu2');
h3 = uimenu('Parent',h2, ...
	'Callback','KNN', ...
	'Label','K-Nearest Neighbors', ...
	'Tag','ClassifyNon-Parametric Classificationuimenu1');
h1 = uimenu('Parent',h0, ...
	'Label','Utilities', ...
	'Tag','uimenu5');
h2 = uimenu('Parent',h1, ...
	'Callback','call_VISUALGUI', ...
	'Label','Class Statistics', ...
	'Tag','Subuimenu2');
h2 = uimenu('Parent',h1, ...
	'Callback','pixinfo', ...
	'Label','Pixel''s Spectral Response', ...
	'Tag','Utilitiesuimenu1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.568627450980392 0.580392156862745 0.584313725490196], ...
	'ListboxTop',0, ...
	'Position',[417.75 209.25 192 141.75], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat2, ...
	'Position',[51 94 464 359], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4989200863930886 -0.06703910614525133 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.06263498920086394 0.4972067039106146 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.1101511879049676 1.287709497206704 9.160254037844386], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat3, ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','refresh_image', ...
	'ListboxTop',0, ...
	'Max',10, ...
	'Position',[19.5 29.25 291.75 16.5], ...
	'Style','slider', ...
	'Tag','Slider1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','RGB', ...
	'ListboxTop',0, ...
	'Position',[322.5 19.5 63.75 26.25], ...
	'String','RGB', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[168 340.5 81.75 17.25], ...
	'String','Band 1', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','zoom', ...
	'ListboxTop',0, ...
	'Position',[432 313.5 59.25 23.25], ...
	'String','Select Area', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','store', ...
	'ListboxTop',0, ...
	'Position',[432 271.5 59.25 23.25], ...
	'String','Store', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','next_class', ...
	'ListboxTop',0, ...
	'Position',[432 231.375 59.25 23.25], ...
	'String','Next Class', ...
	'Tag','Pushbutton4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','previous_class', ...
	'ListboxTop',0, ...
	'Position',[523.5 231.375 59.25 23.25], ...
	'String','Previous Class', ...
	'Tag','Pushbutton5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','EDIT_SAMPLE', ...
	'ListboxTop',0, ...
	'Position',[527.25 150 59.25 23.25], ...
	'String','Edit Sample', ...
	'Tag','Pushbutton6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[555 315 29.25 18.75], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','curr_class');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.568627450980392 0.580392156862745 0.584313725490196], ...
	'Callback','tr_radiobutton', ...
	'ListboxTop',0, ...
	'Position',[518.25 285.75 72 14.25], ...
	'String','Training Sample', ...
	'Style','radiobutton', ...
	'Tag','tag_tr', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.568627450980392 0.580392156862745 0.584313725490196], ...
	'Callback','te_radiobutton', ...
	'ListboxTop',0, ...
	'Position',[517.5 270 72 14.25], ...
	'String','Testing Sample', ...
	'Style','radiobutton', ...
	'Tag','tag_te');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.568627450980392 0.580392156862745 0.584313725490196], ...
	'ListboxTop',0, ...
	'Position',[511.5 312 39 24], ...
	'String','Current Class', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','refresh_image', ...
	'ListboxTop',0, ...
	'Position',[432 150 59.25 23.25], ...
	'String','Refresh', ...
	'Tag','Pushbutton7');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','load_training', ...
	'ListboxTop',0, ...
	'Position',[417 89.25 81.75 22.5], ...
	'String','Load Training Data', ...
	'Tag','Pushbutton8');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','save_training', ...
	'ListboxTop',0, ...
	'Position',[525 89.25 81.75 22.5], ...
	'String','Save Training Data', ...
	'Tag','Pushbutton9');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','quittool', ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[525 28.5 68.25 27.75], ...
	'String','QUIT', ...
	'Tag','Pushbutton10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',14, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[16.5 364.5 297 39.75], ...
	'String','Supervised Classification Toolbox Educational Version', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','reload_data', ...
	'ListboxTop',0, ...
	'Position',[429 28.5 68.25 27.75], ...
	'String','Reload data', ...
	'Tag','Pushbutton11');
if nargout > 0, fig = h0; end
