function target=imgdivision(raw,white,ndcomp)
% target=imgdivision(raw,white,ndcomp);
%
% This function takes the raw and white image and divides them
% to obtain the reflectivity image.
% 'ndcomp' is the difference of neutral densities used to take
% the images.
% ERD 06/08/00


white(find(white==0))=100000;

target= (raw+23) ./ ((white+23)*10^(ndcomp*.3));