function [target,cuberaw,cubewhite]=imgproc(rawname,whitename,ext,start,step,stop,ndcomp)
% [cuberaw,cubewhite,target]=imgproc(rawname,whitename,ext,start,step,stop,ndcomp);
%
% This function generates the cubes for the raw and white data.
% Also generates the reflectivity image cube taking into account all
% necessary compensations.
% ERD 06/08/00

cuberaw=stepcubeA(rawname,ext,start,step,stop);
cubewhite=stepcubeA(whitename,ext,start,step,stop);

target=imgdivision(cuberaw,cubewhite,ndcomp);