% load_iplab_image.m.m

disp('Loading IPLab Image ...')

oldpwd=pwd;

c1=findobj('tag', 'Checkbox1');
chk1=get(c1, 'Value');
c2=findobj('tag', 'Checkbox2');
chk2=get(c2, 'Value');

temp=findobj('tag','EditText1');
pwd=get(temp,'String');
temp=findobj('tag','EditText2');
startw=str2num(get(temp,'String'));
temp=findobj('tag','EditText3');
step=str2num(get(temp,'String'));
temp=findobj('tag','EditText4');
stop=str2num(get(temp,'String'));

cd(pwd)

if chk1 == 1
   temp=findobj('tag', 'EditText5');
   rawname=get(temp, 'String');
   
   Whole_Image=stepcubeA(rawname,'',startw,step,stop);
   
elseif chk2 == 1
   
	temp=findobj('tag', 'EditText7');
   rawname=get(temp, 'String');
	temp=findobj('tag', 'EditText8');
   whitename=get(temp, 'String');
	temp=findobj('tag', 'EditText9');
   nd=str2num(get(temp, 'String'));
     
   [Whole_Image,temp1,temp2]=imgproc(rawname,whitename,'',startw,step,stop,nd);
    
   clear temp1 temp2
end

cd(oldpwd)
clear temp chk1 chk2 c1 c2 rad1 rad2 r1 r2 rawname whitename refvar nd rawvar 
clear whitevar start stop step pwd oldpwd

[r,c,b]=size(Whole_Image);

number_of_bands=b;
number_of_rows=r;
number_of_columns=c;

for i=1:number_of_bands %repeat on all bands
  	Offset=1; 		% setting offset
   for j=1:number_of_rows	
		pixels(i,Offset:j*number_of_columns)=Whole_Image(j,:,i); %i dimensions matrix
	 	Offset=Offset+number_of_columns;
   end
end

clear b r c i j Offset ans step startw stop imgcube ext

disp('Finished...')

close(gcf)

max_bands=number_of_bands;
view_img

clear c1 c2 chk1 chk2 