function r=rect(Coordinates,L,clus,type,tag)

%rect.m
%Cesar E. Santiago 
%Statistical Pattern Recognition Toolbox
%Internal subroutine to plot a rectangle on an existing image
%Four lines are generated using the coordinates given by Coordinates

hold on;	%hold current image

x=[Coordinates(1) Coordinates(2)];

y=[Coordinates(3) Coordinates(3)]; %upper line
line(x,y);

y=[Coordinates(4) Coordinates(4)]; %lower line
line(x,y);
%Now left edge and right edge
y=[Coordinates(3) Coordinates(4)];
x=[Coordinates(1) Coordinates(1)]; %left edge
line(x,y);
x=[Coordinates(2) Coordinates(2)]; %right edge
line(x,y);

if type==1
   d=', Tr';
else
   d=', Te';
end

A='Class ';
number=num2str(L);
B=', F-';
c=num2str(clus);
Area=[A number B c d];
texty=(((Coordinates (4)-Coordinates(3))/2)+Coordinates(3));
textx=(Coordinates(1)+2);
figure(tag)
text(textx,texty,Area);

r=[];%return garbage

hold off
