%knnClassImg.m


%BUSCA EL VALOR DE K DEL GUI
temp=findobj('tag','kvalue');
k=str2num(get(temp,'String'));

[r,c]=size(img_tr_dist{1});
tempmin=zeros(1,length(img_tr_dist));
m=zeros(1,k);
ind=zeros(1,k);
classified_image=zeros(1,length(bandpixels));

for i=1:r
   for j=1:k
      for h=1:length(img_tr_dist)
         temp=img_tr_dist{h};
         tempmin(h)=temp(i,j);
      end
      
      [m(j), ind(j)]=min(tempmin);
   end
   
   classified_image(i)=knnclassify(ind,k,length(img_tr_dist));
end

classified_image=reshape(classified_image,number_of_columns, number_of_rows)';

figure
colormap(lines)
image(classified_image)
title(sprintf('Image classified using %d-Nearest Neighbors',k))
axes('position',[.93, .25, .05, .50])
colormap(lines)
image((1:length(img_tr_dist))')

disp('Finished Clasifying...')

clear k temp i ind j r c tempmin m 