% selected_bands.m

for i=1:number_of_bands
Band=['Band ' num2str(i)];
options(i,1)={(Band)};
end

[b2u,OK]=listdlg('listString',options,'prompt',{'Select desired bands';'for analysis'});

if OK == 1

disp('The bands you selected are: ')
disp(sort(b2u))

bandpixels=zeros(length(b2u),number_of_rows*number_of_columns);

for i=1:length(b2u) %repeat on selected bands
  	Offset=1; 		% setting offset
   for j=1:number_of_rows	
		bandpixels(i,Offset:j*number_of_columns)=Whole_Image(j,:,b2u(i)); %i dimensions matrix
	 	Offset=Offset+number_of_columns;
   end
end

Band_Image=zeros(number_of_rows,number_of_columns,length(b2u));

for i=1:length(b2u) %repeat on all bands
  	Offset=1; 		% setting offset
   for j=1:number_of_rows	
		Band_Image(j,:,i)=bandpixels(i,Offset:j*number_of_columns); %i dimensions matrix
	 	Offset=Offset+number_of_columns;
   end
end

max_bands=length(b2u);
view_reduced_image

clear OK Offset i j 

else 
   disp('Selection aborted ...')
   
   clear OK
end
