%Store.m
%Cesar E. Santiago
%Statistical Pattern Recognition Toolbox
%This subroutine stores the selected areas in a matrix to be analyzed 
%later by performance functions

%modified by ERD
%- to store samples in cell array


tag_te=findobj('tag','tag_te');        
te=get(tag_te, 'Value');               
tag_tr=findobj('tag','tag_tr');        
tr=get(tag_tr, 'Value');               

%*************************************************************

XY=axis; %Getting axis limits

Xmax=round(XY(2));
Xmin=round(XY(1));

Ymax=round(XY(4));
Ymin=round(XY(3)); %to scan original image

columns_2=Xmax;	%LE
columns_1=Xmin;	%LE
rows_2=Ymax;		%LE
rows_1=Ymin;		%LE

rows=Ymax-Ymin+1;

columns=Xmax-Xmin+1;

XY=round(XY);


%*************************************************************************
%getting all bands of selected area and storin it in Area

if reduced == 1
   for i=1:length(b2u)	%store each band
      CurrentRow=Ymin;   %current Row being extracted from Whole_Image
	   Offset=1;
		for j=1:rows
      	Area(i,Offset:j*columns)=Band_Image(CurrentRow,Xmin:Xmax,i);
      	CurrentRow=CurrentRow+1;	%next row in original image
	   	Offset=Offset+columns;	%offset
   	end
	end
else
   for i=1:number_of_bands	%store each band
      CurrentRow=Ymin;   %current Row being extracted from Whole_Image
	   Offset=1;
		for j=1:rows
      	Area(i,Offset:j*columns)=Whole_Image(CurrentRow,Xmin:Xmax,i);
      	CurrentRow=CurrentRow+1;	%next row in original image
	   	Offset=Offset+columns;	%offset
   	end
   end
end

%*************************************************************************

if tr==1
   number_of_clusters_tr=number_of_clusters_tr+1;

   SelectedAreasTr{number_of_classes}{number_of_clusters_tr}=Area;
   samplesTr{number_of_classes}{number_of_clusters_tr}=XY;
   
   zoom out
   zoom

   rect(XY,number_of_classes,number_of_clusters_tr,1,tag_fig1);%draw rectangle subroutine
else
   number_of_clusters_te=number_of_clusters_te+1;

   SelectedAreasTe{number_of_classes}{number_of_clusters_te}=Area;
   samplesTe{number_of_classes}{number_of_clusters_te}=XY;
   
   zoom out
   zoom

   rect(XY,number_of_classes,number_of_clusters_te,0,tag_fig1);%draw rectangle subroutine
end
cluster_tr{number_of_classes}=number_of_clusters_tr;
cluster_te{number_of_classes}=number_of_clusters_te;

data_in=1;

clear Area Offset CurrentRow XY Xmax Xmin Ymax Ymin columns_2 columns_1 rows_1 rows_2 rows columns i j
clear samples
